---
type: note
created: 2023-11-10T02:49:15.285Z
updated: 2023-11-10T16:14:48.030Z
---

# Fab Display

I have determined a useful method to provisioning and managing fab display clients(slideshows).
One of the main struggles here is maintenance of the device. Such as remote access. For a non fab client, by default the logged in user has to verify connections. The second struggle is that the display turns off after a period of time.
## Configuring Auto Logon
<ul>
    I have had an account setup in the INFINEON domain. This account can be used as it has a password that never expires. The password is stored in the Mesa FI password manager on IShare. [Available here](https://ishare.na.infineon.com/sites/MesaFI/FI%20Internal/KeePass/FICredentials.kdbx)</li>
    <li>We need to configure auto logon. So using an account with admin rights we need to open Regedit. </li>
    <li>Once we are in regedit we navigate to: HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon</li>
    <li>
    Then we need to create and set three keys and their respective string values.
        <ul>
            <li>AutoAdminLogon - 1
            <li>DefaultUserName - MesaDisplay
            <li>DefaultPassword - See FI Keepass file.
        </ul>
    </li>
    <li></li>
</ul>

##Configuring SlideShow at Startup
The slideshow I was wishing to display was on a website. So what I did was create a batch script that opened edge with the url to the slideshow as an argument.
See the batch script in the code block below. I then created a task to run at logon of any user to execute this script. Important to note. The default setting pushed via Group Policy will set the screen timeout. At the direction of local IT have decided to use an application called MouseJiggle to keep the screen on. That will need to be set in the batch script as well. The switches -j -z -m will ensure the application starts hidden.
```
start "edge" "c:\Program Files (x86)\Microsoft\Edge\Application\msedge.exe"  "https://messa004.infineon.com/fabtime717/Home.html?SlideShowView=1&HomePageTab=Cleanroom_Slide_Show&HomePageUserID=3443&LinkerUserID=&CurrentChart=5&Width=1150&Height=620&CurrentChart=4&AutoPlay=30" --start-fullscreen
start C:\users\%USERNAME%\Desktop\MouseJiggle.exe -j -z -m
exit
```

## Configuring VNC for remote management
This is a bit of a workaround because again the VNC settings are pushed via Group policy.

1. First request and install RealVNC server to be installed via the IFX AppStore.
2. Once installed the Real VNC service needs to be set to automatic in Windows Services.
3. Now the workaround part comes into play. I have created registry files to make the neccesary changes to allow a user to connect without requesting permissions interactively.

```
Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\SOFTWARE\Policies\RealVNC\vncserver]
"QueryConnect"="0"

```

4. I then create a task to run immediately at logon and repeating every 30 minutes that runs the regedit.exe file. This must be run with highest permissions and with the local SYSTEM account.
5. Next RealVNC requires the user to be apart of a local group "Remote Control Users". I added the INFINEON\MesaDisplay account to this group. 
6. Final step. Any client that wants to connect to the display needs to have REALVNC client installed. This is also available from the IFX App Store.
