---
type: "note"
created: "2024-04-16T19:09:30.884Z"
updated: "2024-04-17T09:09:36.234Z"
---

# editorconfig

- [editorconfig](https://editorconfig.org/)
- [editorconfig-how-to-autofix-all-files-in-a-project](https://stackoverflow.com/questions/39343031/editorconfig-how-to-autofix-all-files-in-a-project)
- [eclint-npmjs](https://www.npmjs.com/package/eclint)
- [eclint-github](https://github.com/jednano/eclint)

## eclint

```bash
l:
cd "L:\DevOps\Mesa_FI\OpenInsight"
echo node_modules >> .gitignore
echo [*] > .editorconfig
echo charset = utf-8 >> .editorconfig
echo end_of_line = crlf >> .editorconfig
echo indent_size = 4 >> .editorconfig
echo indent_style = space >> .editorconfig
echo insert_final_newline = true >> .editorconfig
echo tab_width = 4 >> .editorconfig
npm i -D prettier
npx prettier LSL2/STPROC/AC*.txt --check
# npx prettier fix **/*.txt --check
cls
npm i -D eclint
npx eclint fix LSL2/STPROC/AC*.txt
# npx eclint fix **/*.txt
REM
```

## dotnet

```bash
l:
cd "L:\DevOps\Mesa_FI\OI-Metrology\Server"
dotnet build
echo [*] > .editorconfig
echo end_of_line = crlf >> .editorconfig
echo indent_size = 4 >> .editorconfig
echo indent_style = space >> .editorconfig
echo insert_final_newline = false >> .editorconfig
echo tab_width = 4 >> .editorconfig
dotnet format whitespace
REM
```

- [dotnet-format](https://learn.microsoft.com/en-us/dotnet/core/tools/dotnet-format)

```bash
l:
cd "L:\DevOps\Mesa_FI\OI-Metrology\Server"
dotnet build
del .editorconfig
notepad ../.editorconfig
dotnet format format --report .vscode --verbosity detailed --severity warn
REM
```
